<script language='JavaScript'>
function kontrollabfrage(sid,row)
{
  var result=confirm('Wollen sie den Artikel wirklich löschen? Bitte vorher drucken!');
  if (result==true)
  {
    window.location.href='index.php?menue=artikel&session_id='+sid+'&todo=delete&artnr='+row;
  }
}
</script>
<p align=center>Achtung: mwst: 1 = 7%; 2 = 16% </p>
<?
  if (basename(__FILE__) == basename($PHP_SELF))
    die("Darf nur als include benutzt werden\n");

  $post_todo=$_POST['post_todo'];
  $ArtNr=$_POST['ArtNr'];
  $artnr=$_GET['artnr'];
  $AName=$_POST['Name'];
  $Artikel=$_POST['Artikel'];
  $V_Preis=$_POST['V_Preis'];
  $E_Preis=$_POST['E_Preis'];
  $Bestand_ist=$_POST['Bestand_ist'];
  $Bestand_soll=$_POST['Bestand_soll'];
  $Bild=$_POST['Bild'];
  $Lieferant_id=$_POST['Lieferant_id'];
  $ArtGrNr=$_POST['ArtGrNr'];
  $mwst=$_POST['mwst'];

/*-----Ersetzen oder Einfügen bei erneutem Aufruf-----------------------------*/
if ($post_todo=="replace")
{
  $res=send_sql("update artikel set name=\"$AName\",Artikel=\"$Artikel\",V_Preis=\"$V_Preis\",E_Preis=\"$E_Preis\",Bestand_ist=\"$Bestand_ist\",Bestand_soll=\"$Bestand_soll\",Bild=\"$Bild\",Lieferant_id=\"$Lieferant_id\",ArtGrNr=\"$ArtGrNr\",mwst=\"$mwst\" where ArtNr=\"$ArtNr\"");
  $num=mysql_affected_rows();
  echo "<div align=center>$num Datensatz wurde geändert.</div><br>";
}
elseif ($post_todo=="insert")
{
  $res=send_sql("insert artikel set ArtNr=\"$ArtNr\",name=\"$AName\",Artikel=\"$Artikel\",V_Preis=\"$V_Preis\",E_Preis=\"$E_Preis\",Bestand_ist=\"$Bestand_ist\",Bestand_soll=\"$Bestand_soll\",Bild=\"$Bild\",Lieferant_id=\"$Lieferant_id\",taste=\"1\",ArtGrNr=\"$ArtGrNr\",mwst=\"$mwst\"");
  $num=mysql_affected_rows();
  echo "<div align=center>$num Datensatz wurde neu angelegt.</div><br>";
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="edit")
{
  echo "<input type=\"hidden\" name=\"post_todo\"  value=\"replace\">";
  $sql="select a.ArtNr,a.Name,a.Artikel,a.V_Preis,a.E_Preis,a.Bestand_ist,a.Bestand_soll,a.Bild,a.ArtGrNr,a.Lieferant_id,a.mwst from artikel as a where a.ArtNr=\"$artnr\"";
  include("html/tools/tbl_edit.php");
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="delete")
{
  db_delete("DELETE FROM artikel WHERE ArtNr=\"$artnr\"");
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="neu")
{
  echo "<input type=\"hidden\" name=\"post_todo\"  value=\"insert\">";
  $sql="select a.ArtNr,a.Name,a.Artikel,a.V_Preis,a.E_Preis,a.Bestand_ist,a.Bestand_soll,a.Bild,a.ArtGrNr,a.Lieferant_id,a.mwst from artikel as a where a.ArtNr=\"$artnr\"";
  include("html/tools/tbl_edit.php");
}
/*-----Erzeugung der Artikelabelle (wenn nichts anderen vorgegeben-------------*/

  echo "<H3 align='center'><a href='javascript:window.print()'>Drucken</a>&nbsp;&nbsp;&nbsp;<a href='$PHP_SELF?menue=artikel&session_id=$session_id&todo=neu'>Neuer Eintrag</a></H3>";
  $sql="select a.ArtNr,a.Name,a.Artikel,a.ArtGrNr as ArtGr, a.V_Preis,a.E_Preis,a.Bestand_ist AS B_ist,a.Bestand_soll AS B_soll,a.lieferant_id AS Lieferant, a.Mwst, a.Bild from artikel AS a order by a.ArtNr";
  tab_but($sql,"artikel","artnr");


?>